/***********************************************************************\
*                                 lola.d                                *
*                                                                       *
*                            LOLA interpreter                           *
*                                                                       *
*                              Version 0.2                              *
*                                                                       *
*                            Main entry point                           *
>***********************************************************************<
* Copyright (C) 2007 Stewart Gordon.                                    *
*                                                                       *
* This software is provided 'as-is', without any express or implied     *
* warranty.  In no event will the author be held liable for any damages *
* arising from the use of this software.                                *
*                                                                       *
* Permission is granted to anyone to use this software for any purpose, *
* including commercial applications, and to alter it and redistribute   *
* it freely, subject to the following restrictions:                     *
*                                                                       *
* - The origin of this software must not be misrepresented; you must    *
*   not claim that you wrote the original software.  If you use this    *
*   software in a product, an acknowledgment in the product             *
*   documentation would be appreciated but is not required.             *
* - Altered source versions must be plainly marked as such, and must    *
*   not be misrepresented as being the original software.               *
* - This notice may not be removed or altered from any source           *
*   distribution.                                                       *
*                                                                       *
* For documentation and other information related to this product,      *
* visit http://smjg.port5.com/wwwep/languages/lola/.                    *
* Email me with comments/suggestions/bug reports: smjg@iname.com        *
\***********************************************************************/
module smjg.prog.lola.lola;
import
	smjg.prog.lola.program,
	std.file,
	std.stdio,
	std.path;

int main(char[][] args) {
	if (args.length < 2) return help();
	char[] filename = args[1];

	char[] code = cast(char[]) read(defaultExt(filename, "lola"));

	Program program = new Program(code);

	return program.run();
	//return 0;
}


int help() {
	writefln("lola: LOLA 0.2 interpreter
Copyright 2007 Stewart Gordon
Usage: lola filename");
	return 113;
}
